@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.formWrapper {
  max-width: 1502px;
  height: 319px;
  padding: 60px;
}

.partnerForm {
  display: flex;

  .avatar {
    width: 200px;
    height: 200px;
    background: $lightBlueColor;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    margin-right: 100px;
    overflow: hidden;
    position: relative;

    input {
      position: absolute;
      top: -50px;
      bottom: 0;
      left: 0;
      right: 0;
      z-index: 10;
      outline: none;
      cursor: pointer;
    }

    & > img {
      object-fit: cover;
    }
  }

  .fieldsContainer {
    width: 100%;
    display: flex;
    justify-content: space-evenly;

    .name {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }

    .invite {
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      .buttons {
        max-width: 344px;
        display: flex;

        & button:first-child {
          margin-right: 10px;
        }
      }
    }
  }
}

.block {
  margin-right: 25px;
  flex-grow: 1;

  &:last-child {
    margin-right: 0;
  }
}

.linkContainer {
  width: 100%;
  max-width: 344px;

  .label {
    @include font($fontGotham, 16px, 19.2px);
    color: $greyText;
    pointer-events: none;
    margin-bottom: 5px;
  }

  .field {
    height: 65px;
    display: flex;
    border: 1px solid $greyColor;
    border-radius: 10px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    padding-left: 25px;

    .link {
      width: 75%;
      height: 100%;
      padding-top: 22px;
      @include font($fontGothamBook, 18px, 22px);
      color: $blackColor;

      white-space: nowrap;
      overflow: hidden;
      -o-text-overflow: ellipsis;
      -ms-text-overflow: ellipsis;
      text-overflow: ellipsis;
    }

    .iconWrapper {
      width: 65px;
      height: 100%;
      position: absolute;
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: $greyColor;
      right: 0;
      // border: 1px solid transparent;
    }
  }
}
